﻿// JavaScript Document
var port = chrome.extension.connect({ name: "manmanmaioption" });
port.onMessage.addListener(function (msg) {
  switch (msg.question) {
    case "loadend":
      break;
  }
});
$(function () {
  //对本地存贮进行操作
  var mmmSet = {
    mmmSetOptions: localStorage.getItem("manmaintools_options"),
    mmmSetObj: null,
    toObj: function () {
      var arr = this.mmmSetOptions.split(";"),
        obj = {},
        _arr;
      for (var i = 0; i < arr.length; i++) {
        _arr = arr[i].split("=");
        obj[_arr[0]] = _arr[1];
      }
      return (this.mmmSetObj = obj);
    },
    getItem: function (key) {
      var _obj = this.mmmSetObj ? this.mmmSetObj : this.toObj();
      return _obj[key];
    },
    setItem: function (key, val) {
      var _obj = this.mmmSetObj ? this.mmmSetObj : this.toObj(),
        _arr = [];
      key = trim(key);
      _obj[key] = val;
      for (var k in _obj) {
        _arr.push(k + "=" + _obj[k]);
      }
      localStorage.setItem("manmaintools_options", _arr.join(";"));
    },
  };
  // 	//产生订阅的栏目
  //    Sethtml(mmmSet);
  //订阅的栏目选取
  // $(".category-list li ").click(function(){
  // 	 if($(this).hasClass("checkbj"))
  // 	 {
  // 	 	$(this).removeClass('checkbj');
  // 		$(".category-title class-title").text();
  // 		mmmSet.setItem($(this).text(),"");
  // 	 }else{
  // 	 	$(this).addClass('checkbj');
  // 		mmmSet.setItem($(this).text(),"Y");
  // 	 }
  // });

  //是否订阅
  $(this)
    .find("input[type=checkbox]")
    .change(function () {
      var _val;
      var _this = this;
      var id = $(_this).attr("id");
      if (id == "mnotify") {
        val = $("#mnotify").attr("checked");
        if (val === "checked") {
          if (window.webkitNotifications) {
            if (window.webkitNotifications.checkPermission() > 0)
              window.webkitNotifications.requestPermission();

            localStorage["notify"] = "Y";
            port.postMessage({ load: "notify_Yes" });
          } else {
            if (Notification.permission !== "granted") {
              Notification.requestPermission(function () {
                if (Notification.permission === "granted") {
                  localStorage["notify"] = "Y";
                  port.postMessage({ load: "notify_Yes" });
                }
              });
            } else {
              localStorage["notify"] = "Y";
              port.postMessage({ load: "notify_Yes" });
            }
          }
        } else {
          localStorage["notify"] = "N";
          port.postMessage({ load: "notify_Not" });
        }
      } else if (id == "mjgqs") {
        val = $(this).attr("checked");
        if (val == "checked") localStorage["manmaintools_jgqs"] = "Y";
        else localStorage["manmaintools_jgqs"] = "N";
      }
    });

  //桌面显示时间读取
  $(".btn-group button").click(function () {
    var $target, $parent, val, type;
    $target = $(this);
    $parent = $target.parent();
    type = $parent.attr("data-type");
    val = $target.val();
    localStorage["disptime"] = val;
  });
  //
  $("#keyword").click(function () {
    var txt = $(".cstxt").val();
    localStorage["manmaintools_keyword"] = txt;
  });

  //
  $("#timeset").click(function () {
    var t1 = $("#user_date").val();
    var t2 = $("#user_date1").val();
    var d1 = 0;
    d2 = 0;
    if (t1 == "" && t2 !== "") t1 = "00:00";
    else if (t1 != "" && t2 == "") t2 = "23:59";
    if (t1 !== "" && t1 !== "") {
      localStorage["manmaintools_user_datebegin"] = t1;
      localStorage["manmaintools_user_dateend"] = t2;
    } else {
      localStorage["manmaintools_user_dateend"] = "";
      localStorage["manmaintools_user_datebegin"] = "";
    }
  });
});
//产生订阅的栏目
//    function Sethtml(obj)
//    {
// 	var str='',txt="",cls="";
// 	var xx=localStorage["manmaintools_soptions"];
// 	var soption= JSON.parse(xx);
// 	var li,div1,ul;
// 	ul=$(".category-list ul")[0];
// 	for(var i=ul.childNodes.length-1;i>=0;i--)
// 		ul.removeChild(ul.childNodes[i]);
// 	for(var n=0;n<soption.tm.length;n++)
// 	{
// 		txt="";
// 		cls="";
// 		if(obj!=null)
// 		{
// 			txt=obj.getItem(soption.tm[n].title);

// 				if(typeof txt!=="undefined" && txt!=="")
// 				{
// 					if(txt==='Y')
// 						cls="checkbj";
// 				}

// 		}
// 		li=document.createElement("li")
// 		li.setAttribute("class",cls);
// 		div=document.createElement("div")
// 		div.setAttribute("class","category-title class-title");
// 		div.innerText=soption.tm[n].title;
// 		li.appendChild(div);
// 		//str +='   <li class="'+cls+'"> <div class="category-title class-title"> '+soption.tm[n].title+' </div></li>  ';

// 		ul.appendChild(li);
// 	}
// 	//$(".category-list ul").html(str);

// 	//订阅
if (localStorage["notify"] === "Y") {
  console.log(Notification.permission);
  if (Notification.permission === "granted")
    $("#mnotify").attr("checked", "checked");
  else {
    if (
      window.webkitNotifications &&
      window.webkitNotifications.checkPermission() == 0
    ) {
      $("#mnotify").attr("checked", "checked");
    }
  }
}
if (localStorage["manmaintools_jgqs"] === "Y")
  $("#mjgqs").attr("checked", true);
else {
  $("#mjgqs").attr("checked", false);
}

// 	 //桌面显示时间点击
// 	 $(".btn-group").each(function () {
//         var $target, type, defaultValue;
//         $target = $(this);
// 		cls=localStorage["disptime"];
// 		if(cls===""){
// 			localStorage["disptime"]="30";
// 			cls="30";
// 		}
//         $target.find('button[value="' + cls + '"]').addClass("active");
//     });

// 	///////////////
// 	$(".cstxt").val(localStorage["manmaintools_keyword"]);
// 	 $("#user_date").val(localStorage["manmaintools_user_datebegin"]);
//     $("#user_date1").val(localStorage["manmaintools_user_dateend"]);

//    }

function trim(str) {
  return str.replace(/(^\s+)|(\s+$)/g, "");
}
